package com.zivilon.cinder_loe.network;

import cpw.mods.fml.common.FMLCommonHandler;
import lotr.common.network.LOTRPacketHandler;
import cpw.mods.fml.relauncher.Side;

public class PacketRegistration {
    public static void register() {
        int id = 200;
        LOTRPacketHandler.networkWrapper.registerMessage(PacketWarbandLocations.Handler.class, PacketWarbandLocations.class, id++, Side.CLIENT);
        LOTRPacketHandler.networkWrapper.registerMessage(PacketOpenCarriageGui.Handler.class, PacketOpenCarriageGui.class, id++, Side.CLIENT);
        LOTRPacketHandler.networkWrapper.registerMessage(PacketCarriageSelect.Handler.class, PacketCarriageSelect.class, id++, Side.SERVER);
        //if (FMLCommonHandler.instance().getSide().isClient()) {
        //    LOTRPacketHandler.networkWrapper.registerMessage(
        //            PacketCarriageFTB.Handler.class, PacketCarriageFTB.class, id++, Side.CLIENT
        //    );
        //}
        if (FMLCommonHandler.instance().getSide().isClient()) {
            LOTRPacketHandler.networkWrapper.registerMessage(PacketCarriageFTB.Handler.class, PacketCarriageFTB.class, id++, Side.CLIENT);
        }
    }
}
